unit Photometry_Express_TLB;

// ************************************************************************ //
// WARNING
// -------
// The types declared in this file were generated from data read from a
// Type Library. If this type library is explicitly or indirectly (via
// another type library referring to this type library) re-imported, or the
// 'Refresh' command of the Type Library Editor activated while editing the
// Type Library, the contents of this file will be regenerated and all
// manual modifications will be lost.
// ************************************************************************ //

// $Rev: 45604 $
// File generated on 01/05/2012 13:57:25 from Type Library described below.

// ************************************************************************  //
// Type Lib: C:\Data_Files\Delphi\Delphi_Applications\Photometry_Express\Photometry_Express (1)
// LIBID: {2C6E07B6-A14F-43C5-AE82-F93997CCDA30}
// LCID: 0
// Helpfile:
// HelpString: Photometry_Express Library
// DepndLst:
//   (1) v2.0 stdole, (C:\Windows\SysWOW64\stdole2.tlb)
// SYS_KIND: SYS_WIN32
// ************************************************************************ //
{$TYPEDADDRESS OFF} // Unit must be compiled without type-checked pointers.
{$WARN SYMBOL_PLATFORM OFF}
{$WRITEABLECONST ON}
{$VARPROPSETTER ON}
{$ALIGN 4}

interface

uses Winapi.Windows, System.Classes, System.Variants, System.Win.StdVCL, Vcl.Graphics, Vcl.OleServer, Winapi.ActiveX;


// *********************************************************************//
// GUIDS declared in the TypeLibrary. Following prefixes are used:
//   Type Libraries     : LIBID_xxxx
//   CoClasses          : CLASS_xxxx
//   DISPInterfaces     : DIID_xxxx
//   Non-DISP interfaces: IID_xxxx
// *********************************************************************//
const
  // TypeLibrary Major and minor versions
  Photometry_ExpressMajorVersion = 1;
  Photometry_ExpressMinorVersion = 0;

  LIBID_Photometry_Express: TGUID = '{2C6E07B6-A14F-43C5-AE82-F93997CCDA30}';

  IID_IPhoto_Express_Server: TGUID = '{4B1EE8BD-16E4-4895-A182-9A6871C4E626}';
  CLASS_Photo_Express_Server: TGUID = '{940B569E-C73C-4FB9-B722-9256997D4176}';
type

// *********************************************************************//
// Forward declaration of types defined in TypeLibrary
// *********************************************************************//
  IPhoto_Express_Server = interface;
  IPhoto_Express_ServerDisp = dispinterface;

// *********************************************************************//
// Declaration of CoClasses defined in Type Library
// (NOTE: Here we map each CoClass to its Default Interface)
// *********************************************************************//
  Photo_Express_Server = IPhoto_Express_Server;


// *********************************************************************//
// Interface: IPhoto_Express_Server
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {4B1EE8BD-16E4-4895-A182-9A6871C4E626}
// *********************************************************************//
  IPhoto_Express_Server = interface(IDispatch)
    ['{4B1EE8BD-16E4-4895-A182-9A6871C4E626}']
    procedure Set_FileName(const Param1: WideString); safecall;
    function Get_Magnitude: Double; safecall;
    function Get_LastError: SYSINT; safecall;
    procedure CloseFile; safecall;
    function Get_Threshold: Double; safecall;
    function Get_Gain: Single; safecall;
    procedure Set_Gain(Value: Single); safecall;
    function Get_degC: Single; safecall;
    procedure Set_degC(Value: Single); safecall;
    function Get_Readout_Noise: Single; safecall;
    procedure Set_Readout_Noise(Value: Single); safecall;
    function Get_Dark_Current: Single; safecall;
    procedure Set_Dark_Current(Value: Single); safecall;
    function Get_Standard_Deviation: Single; safecall;
    function Get_Less_Than: SYSINT; safecall;
    function Get_Max_Error: Single; safecall;
    procedure Set_Max_Error(Value: Single); safecall;
    procedure AAVSO_Report; safecall;
    property FileName: WideString write Set_FileName;
    property Magnitude: Double read Get_Magnitude;
    property LastError: SYSINT read Get_LastError;
    property Threshold: Double read Get_Threshold;
    property Gain: Single read Get_Gain write Set_Gain;
    property degC: Single read Get_degC write Set_degC;
    property Readout_Noise: Single read Get_Readout_Noise write Set_Readout_Noise;
    property Dark_Current: Single read Get_Dark_Current write Set_Dark_Current;
    property Standard_Deviation: Single read Get_Standard_Deviation;
    property Less_Than: SYSINT read Get_Less_Than;
    property Max_Error: Single read Get_Max_Error write Set_Max_Error;
  end;

// *********************************************************************//
// DispIntf:  IPhoto_Express_ServerDisp
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {4B1EE8BD-16E4-4895-A182-9A6871C4E626}
// *********************************************************************//
  IPhoto_Express_ServerDisp = dispinterface
    ['{4B1EE8BD-16E4-4895-A182-9A6871C4E626}']
    property FileName: WideString writeonly dispid 201;
    property Magnitude: Double readonly dispid 202;
    property LastError: SYSINT readonly dispid 203;
    procedure CloseFile; dispid 204;
    property Threshold: Double readonly dispid 205;
    property Gain: Single dispid 206;
    property degC: Single dispid 207;
    property Readout_Noise: Single dispid 208;
    property Dark_Current: Single dispid 209;
    property Standard_Deviation: Single readonly dispid 210;
    property Less_Than: SYSINT readonly dispid 211;
    property Max_Error: Single dispid 212;
    procedure AAVSO_Report; dispid 213;
  end;

// *********************************************************************//
// The Class CoPhoto_Express_Server provides a Create and CreateRemote method to
// create instances of the default interface IPhoto_Express_Server exposed by
// the CoClass Photo_Express_Server. The functions are intended to be used by
// clients wishing to automate the CoClass objects exposed by the
// server of this typelibrary.
// *********************************************************************//
  CoPhoto_Express_Server = class
    class function Create: IPhoto_Express_Server;
    class function CreateRemote(const MachineName: string): IPhoto_Express_Server;
  end;

implementation

uses System.Win.ComObj;

class function CoPhoto_Express_Server.Create: IPhoto_Express_Server;
begin
  Result := CreateComObject(CLASS_Photo_Express_Server) as IPhoto_Express_Server;
end;

class function CoPhoto_Express_Server.CreateRemote(const MachineName: string): IPhoto_Express_Server;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_Photo_Express_Server) as IPhoto_Express_Server;
end;

end.

